#if !defined(AFX_PLUGINGRIDDLG_H__A04EE09A_245D_4845_826E_856EE4A10A4D__INCLUDED_)
#define AFX_PLUGINGRIDDLG_H__A04EE09A_245D_4845_826E_856EE4A10A4D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PlugInGridDlg.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CSettingDlg ダイアログ
class CDocumentIF;
class CShitarabianDllImp;

class CSettingDlg : public CDialog
{
// コンストラクション
public:
	CSettingDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ
	void Attach( CDocumentIF* pDocIF ){ m_pDoc = pDocIF; };
	void Attach( CShitarabianDllImp* pPlugIn ){ m_pPlugIn = pPlugIn; };

	COLORREF	m_colGrid;

// ダイアログ データ
	//{{AFX_DATA(CSettingDlg)
	enum { IDD = IDD_SETTING };
	BOOL	m_bEmphasys;
	BOOL	m_bEnable;
	CString	m_strExePath;
	BOOL	m_bEmphasis;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CSettingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CDocumentIF*			m_pDoc;
	CShitarabianDllImp*		m_pPlugIn;

	void SetParamToMain();

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CSettingDlg)
	virtual void OnOK();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnPrnscrRef();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_PLUGINGRIDDLG_H__A04EE09A_245D_4845_826E_856EE4A10A4D__INCLUDED_)
